searchNodes=[{"doc":"Documentation for ExCogmint.","ref":"ExCogmint.html","title":"ExCogmint","type":"module"},{"doc":"Add a new task to an existing project. Project_uuid is the project&#39;s ID for which you wish to add a new microtask. The second argument is a map of substitutions you wish to make to the default project task template in order to create the task. For example, suppose you have a project asking users to determine if a city is a capital city or not. This project likely has a template that looks something like: &quot;Is [[city]] a capital city?&quot; For this project template, we can provide a map replacing the variable city with a value by passing in a map like %{&quot;city&quot; =&gt; &quot;Washington, D.C.&quot;} Resulting in a task created for a worker like: &quot;Is Washington, D.C. a capital city?&quot; ## Examples ExCogmint.add_task!(&quot;1234-12345-1234-12345&quot;, %{&quot;city&quot; =&gt; &quot;Brasilia&quot;}) ExCogmint.add_task!(&quot;abc-123-abc&quot;, %{&quot;variable_name_to_replace&quot; =&gt; &quot;string inserted&quot;}) Will return either {:error, &quot;helpful message&quot;} or {:ok, %{&quot;map&quot; =&gt; &quot;of&quot;, &quot;created&quot; =&gt; &quot;task&quot;, &quot;params&quot; =&gt; &quot;here&quot;}}","ref":"ExCogmint.html#add_task!/2","title":"ExCogmint.add_task!/2","type":"function"},{"doc":"Gets information on a task (&quot;worktask&quot;). Returns the task, including associated submissions as a list of strings.","ref":"ExCogmint.html#get_task!/1","title":"ExCogmint.get_task!/1","type":"function"},{"doc":"Pings the server. Server will return with error if the client is using an invalid key, otherwise will return with whether or not the client is using a live key. Example Response: {:ok, %{&quot;production_key&quot; =&gt; true, &quot;valid&quot; =&gt; true}}","ref":"ExCogmint.html#ping/0","title":"ExCogmint.ping/0","type":"function"},{"doc":"","ref":"ExCogmint.Client.html","title":"ExCogmint.Client","type":"module"},{"doc":"","ref":"ExCogmint.Client.html#build_body/1","title":"ExCogmint.Client.build_body/1","type":"function"},{"doc":"","ref":"ExCogmint.Client.html#build_full_url/1","title":"ExCogmint.Client.build_full_url/1","type":"function"},{"doc":"","ref":"ExCogmint.Client.html#build_headers/0","title":"ExCogmint.Client.build_headers/0","type":"function"},{"doc":"","ref":"ExCogmint.Client.html#handle_error/1","title":"ExCogmint.Client.handle_error/1","type":"function"},{"doc":"Handling bad HTTP responses needs to happen here.","ref":"ExCogmint.Client.html#handle_response/1","title":"ExCogmint.Client.handle_response/1","type":"function"},{"doc":"","ref":"ExCogmint.Client.html#request!/1","title":"ExCogmint.Client.request!/1","type":"function"},{"doc":"","ref":"ExCogmint.Config.html","title":"ExCogmint.Config","type":"module"},{"doc":"","ref":"ExCogmint.Config.html#api_key/0","title":"ExCogmint.Config.api_key/0","type":"function"},{"doc":"","ref":"ExCogmint.Config.html#callback_url/0","title":"ExCogmint.Config.callback_url/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"ExCogmint.Config.html#child_spec/1","title":"ExCogmint.Config.child_spec/1","type":"function"},{"doc":"","ref":"ExCogmint.Config.html#get_api_key_from_env/0","title":"ExCogmint.Config.get_api_key_from_env/0","type":"function"},{"doc":"","ref":"ExCogmint.Config.html#get_callback_url/0","title":"ExCogmint.Config.get_callback_url/0","type":"function"},{"doc":"","ref":"ExCogmint.Config.html#get_server_url/0","title":"ExCogmint.Config.get_server_url/0","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"ExCogmint.Config.html#init/1","title":"ExCogmint.Config.init/1","type":"function"},{"doc":"","ref":"ExCogmint.Config.html#server_url/0","title":"ExCogmint.Config.server_url/0","type":"function"},{"doc":"","ref":"ExCogmint.Config.html#start_link/1","title":"ExCogmint.Config.start_link/1","type":"function"},{"doc":"Builds request URLs for API actions related to the Project object/struct","ref":"ExCogmint.Project.html","title":"ExCogmint.Project","type":"module"},{"doc":"","ref":"ExCogmint.Project.html#all_unique_keys?/1","title":"ExCogmint.Project.all_unique_keys?/1","type":"function"},{"doc":"","ref":"ExCogmint.Project.html#build_add_task_request/1","title":"ExCogmint.Project.build_add_task_request/1","type":"function"},{"doc":"","ref":"ExCogmint.Project.html#ensure_substitutions_uses_same_key_type/1","title":"ExCogmint.Project.ensure_substitutions_uses_same_key_type/1","type":"function"},{"doc":"Builds request URLs for API actions related to the Worktask object/struct.","ref":"ExCogmint.Worktask.html","title":"ExCogmint.Worktask","type":"module"},{"doc":"","ref":"ExCogmint.Worktask.html#build_get_task_request/1","title":"ExCogmint.Worktask.build_get_task_request/1","type":"function"}]